Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
SOLVED/Emerge Dependency Issue: dev-scheme/guile-1.8.8-r1:12
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Installing Gentoo
View previous topic :: View next topic  
Author Message
swass
n00b
n00b


Joined: 25 Jun 2013
Posts: 17

PostPosted: Tue Jun 25, 2013 5:03 pm    Post subject: SOLVED/Emerge Dependency Issue: dev-scheme/guile-1.8.8-r1:12 Reply with quote

I am trying to install Gentoo for the first time and things were going generally pretty good until I ran into this dependency issue. This says it needs greater than or equal to :12 of the version, but emerge is only will install only dev-scheme/guile-1.8.8-r1. I have done an emerge --sync, tried unmerging and remerging. No luck here in trying to figure out why this is a problem. I saw a couple google hits, but didn't discover any solution.

Please help if you have any ideas. I'm excited to try out Gentoo.

While I have no idea for sure as I am new to emerge; it seems like it is thinking -r1:12 is newer than the -r1, but this may not be the case?

Code:
livecd init.d # emerge --update gnutls

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild  N     ] dev-libs/libtasn1-2.14  USE="-doc -static-libs"
[ebuild  N     ] dev-libs/nettle-2.6  USE="gmp -doc -static-libs {-test}"
[ebuild   R    ] dev-scheme/guile-1.8.8-r1  USE="networking*"
[ebuild  N     ] net-libs/gnutls-2.12.23-r1  USE="bindist cxx examples guile lzo nettle nls zlib -doc -pkcs11 -static-libs {-test}"

The following USE changes are necessary to proceed:
 (see "package.use" in the portage(5) man page for more details)
# required by net-libs/gnutls-2.12.23-r1[guile]
# required by gnutls (argument)
>=dev-scheme/guile-1.8.8-r1:12 networking

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.


Last edited by swass on Tue Jun 25, 2013 10:07 pm; edited 1 time in total
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6250
Location: Goose Creek SC

PostPosted: Tue Jun 25, 2013 5:31 pm    Post subject: Reply with quote

your command line prompt looks like you have cd booted instead of gentoo on hard drive ??

Code:
nano /etc/portage/package.use

edit to add
Quote:
>=dev-scheme/guile-1.8.8-r1:12 networking
to it
close nano saving with ctrl-x
_________________
Defund the FCC.
Back to top
View user's profile Send private message
swass
n00b
n00b


Joined: 25 Jun 2013
Posts: 17

PostPosted: Tue Jun 25, 2013 5:43 pm    Post subject: Reply with quote

Thank you, Donahue! That did it.

To answer your question. Yes, I am on the livecd installing Gentoo for the first time. I have just finished customizing my kernel and went on installing some of the other things I need.

Just out of curiousity -- was I correct in my assumption that -r1:12 is being treated as newer than -r1, but isn't?
Back to top
View user's profile Send private message
DONAHUE
Watchman
Watchman


Joined: 09 Dec 2006
Posts: 6250
Location: Goose Creek SC

PostPosted: Tue Jun 25, 2013 6:17 pm    Post subject: Reply with quote

: is short for slot
As I understand it, slots make it possible for program a and program b to depend on different versions of program c in a world where only the latest version is supposed to be installed.
_________________
Defund the FCC.
Back to top
View user's profile Send private message
swass
n00b
n00b


Joined: 25 Jun 2013
Posts: 17

PostPosted: Tue Jun 25, 2013 6:22 pm    Post subject: Reply with quote

Ok. Thanks for the clarification on that.

Gentoo is a bit of a different animal than I am used to -- I've done LFS/CLFS and the usual distributions, but figured this was a nice in-between. Thanks for helping me.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Installing Gentoo All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum